Get documents in the workspace accessible to the calling user
This operation retrieves the documents in the workspace that are accessible to the calling user. Documents may be added directly or automatically through tasks such as envelopes. Documents may be used to create envelopes.
Pagination is supported by passing start_position and count in the request. The response will include resultSetSize, start_position, and end_position which may be utilized for subsequent requests.
Required authentication scopes: dtr.rooms.read
Authentication
AuthorizationBearer
JWT Bearer token from Docusign authorization server
Path parameters
accountId
The ID of the account
workspaceId
The ID of the workspace
Query parameters
count
Number of documents to return. Defaults to the maximum which is 100
start_position
Position of the first item in the total results. Defaults to 0
name_filter
Filter documents where Name contains the filter. Defaults to null, to not filter
Response
Documents successfully retrieved
documents
The document summary list. Includes the ID, name, and metadata
result_set_size
The number of documents returned in the response. Always equal or less than the count of the request
start_position
Position of the first item in the total results
end_position
Position of the last item in the total results
total_row_count
The total number of documents in the workspace applicable to the request regardless of pagination. It may not always be computed
Errors
400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error